Qualcuno sa pacchettizzare questo utilissimo tool 3D?

6 contenuti / 0 new
Ultimo contenuto
Ritratto di Manuel .
Offline
Last seen: 8 anni 12 mesi fa
Iscritto: 20/11/2011 - 16:07
Qualcuno sa pacchettizzare questo utilissimo tool 3D?

E' fondamentale per chi si occupa di grafica 3D:

http://meshlab.sourceforge.net/

Io purtroppo non sono in grado di compilarmelo dal sorgente...qualcuno qui sa creare un pacchetto per pclos? Oppure esiste un modo per fare una richiesta ufficiale a qualcuno?

Ciao!

Ritratto di zafran
Offline
Last seen: 1 anno 6 mesi fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Il tar viene giù con dentro 2 directory una delle quali (vcglib) sembra corrotta.
Forse è per questo che non riesci a compilare.
Comunque ho scompattato il txt e l'altra directory (meshlab) dove ho trovato le istruzioni per la compilazione (README.txt).
Però c'è bisogno del comando qmake che si ha installando qt-libraries e qt-develop ma ora non sono pclos e quindi non posso installarli.
Ci guarderò nei prossimi giorni.

Per richiedere un pacchetto puoi scrivere qui:
http://www.pclinuxos.com/forum/index.php/board,82.0.html
ma secondo me è meglio segnalare la difficoltà a meshlab e sentire cosa rispondono.

Ritratto di Lord Spectre
Offline
Last seen: 9 anni 1 mese fa
Iscritto: 15/08/2012 - 14:16

Ho trovato un RPM (http://bit.ly/ODWnJG) ma sembra che PCLinuxOS non abbia le dipendenze necessarie.

Ritratto di Manuel .
Offline
Last seen: 8 anni 12 mesi fa
Iscritto: 20/11/2011 - 16:07

Grazie ragazzi!
Provero' a scrivere direttamente a meshlab, ma anche a segnalare il pacchetto al team di pclos, perche' e' davvero un tool importante e merita di stare in synaptic! Nel frattempo, se trovate qualche soluzione, sarebbe molto utile per poter disporre del sw in tempi brevi!

Ritratto di 500paolo
Offline
Last seen: 11 mesi 1 giorno fa
Iscritto: 16/12/2011 - 10:52

Ho provato anche io a installare l'rpm linkato da Lord Spectre, ma essendo compilato per mageia ha tre dipendenze non installabili tra cui la famigerata libstc++ che a me, dopo un'installazione forzata ha reso inutilizzabile pclos.(ho forzato la sostituzione della versione presente su pclos per installare un amule piu' recente con il risultato che comunque dopo l'installazione non partiva, in piu' al riavvio pclos mi diceva che non poteva avviare kde per mancanza di vari file, in piu' anche da linea di comando stessa risposta per il gestore dei pacchetti)
Pare che quella versione sia comune a mageia, fedora e mandriva ma assolutamente tossica per pclos...bah.

Ritratto di bebolinux
Offline
Last seen: 5 anni 4 giorni fa
Iscritto: 10/12/2008 - 22:27

ciao Manuel ,
Non sono molto esperto di compilazione ma ho voluto provare a compilare il programma
ma purtroppo mi sono piantato nella compilazione di una libreria external ....
comunque ho scaricato da sourceforge la versione per windows e installata con wine.
A prima vista sembra funzionare regolarmente.
Come soluzione temporanea (e non) credo si accettabile.
ciao